%{?nodejs_find_provides_and_requires}

%global packagename date-time
%global github_tag_hash b9bf57da4f4f94bf3bc7cfe281e697e02da52044
%global enable_tests 0

Name:		nodejs-date-time
Version:	1.0.0
Release:	2%{?dist}
Summary:	Pretty UTC datetime

License:	MIT
URL:		https://github.com/sindresorhus/date-time
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
Source1:	https://raw.githubusercontent.com/sindresorhus/date-time/%{github_tag_hash}/license
Source2:	https://raw.githubusercontent.com/sindresorhus/date-time/%{github_tag_hash}/test.js

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

Requires:	nodejs

%description
Pretty UTC datetime: 2014-01-09 06:46:01 UTC


%prep
%setup -q -n package
cp -p %{SOURCE1} .
cp -p %{SOURCE2} .



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha -R spec test.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%{nodejs_sitelib}/%{packagename}



%changelog
* Thu Oct 22 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.0-2
- Update build requirements, and disabled tests due to failing dependencies

* Thu Oct 22 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.0-1
- Initial packaging
